Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class AbstractPropertyHolder

    java.lang.Object
      org.hibernate.cfg.AbstractPropertyHolder

All Implemented Interfaces:
  PropertyHolder

Direct Known Subclasses:
  ClassPropertyHolder, CollectionPropertyHolder, ComponentPropertyHolder

    public abstract class AbstractPropertyHolder

extends Object
implements PropertyHolder

Author:
  Emmanuel Bernard

Field Summary
`protected PropertyHolder` | `parent`

Constructor Summary
`AbstractPropertyHolder(String path, PropertyHolder parent, XClass clazzToProcess, ExtendedMappings mappings)`

Method Summary
`javax.persistence.Column[]` | `getOverriddenColumn(String propertyName)` Get column overriding, property first, then parent, then holder
`javax.persistence.JoinColumn[]` | `getOverriddenJoinColumn(String propertyName)` Get column overriding, property first, then parent, then holder
`String` | `getPath()`
`protected void` | `setCurrentProperty(XProperty property)` property can be null
`void` | `setParentProperty(String parentProperty)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.cfg.PropertyHolder
`addJoin, addProperty, addProperty, getClassName, getEntityName, getIdentifier, getPersistentClass, getTable, isComponent`

Field Detail

### parent

    protected PropertyHolder parent

Constructor Detail

### AbstractPropertyHolder

    public AbstractPropertyHolder(String path,
                                  PropertyHolder parent,
                                  XClass clazzToProcess,
                                  ExtendedMappings mappings)

Method Detail

### getPath

    public String getPath()

  Specified by:
    `getPath` in interface `PropertyHolder`

### setCurrentProperty

    protected void setCurrentProperty(XProperty property)

  property can be null

### getOverriddenColumn

    public javax.persistence.Column[] getOverriddenColumn(String propertyName)

  Get column overriding, property first, then parent, then holder

  Specified by:
    `getOverriddenColumn` in interface `PropertyHolder`

### getOverriddenJoinColumn

    public javax.persistence.JoinColumn[] getOverriddenJoinColumn(String propertyName)

  Get column overriding, property first, then parent, then holder

  Specified by:
    `getOverriddenJoinColumn` in interface `PropertyHolder`

### setParentProperty

    public void setParentProperty(String parentProperty)

  Specified by:
    `setParentProperty` in interface `PropertyHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD